spice-server-0.12.4-16.el6_10.3.x86_64.rpm


Advertisement

Description

spice-server - Implements the server side of the SPICE protocol

Property Value
Distribution CentOS 6
Repository CentOS Updates x86_64
Package filename spice-server-0.12.4-16.el6_10.3.x86_64.rpm
Package name spice-server
Package version 0.12.4
Package release 16.el6_10.3
Package architecture x86_64
Package type rpm
Category System Environment/Libraries
Homepage http://www.spice-space.org/
License LGPLv2+
Maintainer -
Download size 347.38 KB
Installed size 1.14 MB
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.
This package contains the runtime libraries for any application that wishes
to be a SPICE server.

Alternatives

Package Version Architecture Repository
spice-server-0.12.4-16.el6_10.2.x86_64.rpm 0.12.4 x86_64 CentOS Updates
spice-server-0.12.4-16.el6_10.1.x86_64.rpm 0.12.4 x86_64 CentOS Updates
spice-server-0.12.4-16.el6.x86_64.rpm 0.12.4 x86_64 CentOS
spice-server - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4)(64bit) -
libcelt051.so.0()(64bit) -
libcrypto.so.10()(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libglib-2.0.so.0()(64bit) -
libjpeg.so.62()(64bit) -
libjpeg.so.62(LIBJPEG_6.2)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpixman-1.so.0()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libsasl2.so.2()(64bit) -
libssl.so.10()(64bit) -
libssl.so.10(libssl.so.10)(64bit) -
libz.so.1()(64bit) -
pixman >= 0.18
pkgconfig -
rtld(GNU_HASH) -

Provides

Name Value
libspice-server.so.1()(64bit) -
libspice-server.so.1(SPICE_SERVER_0.10.0)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.10.1)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.10.2)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.10.3)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.10.4)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.11.2)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.11.4)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.12.2)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.12.3)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.12.4)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.6.0)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.6.1)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.8.0)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.8.1)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.8.2)(64bit) -
libspice-server.so.1(SPICE_SERVER_0.8.3)(64bit) -
spice-server = 0.12.4-16.el6_10.3
spice-server(x86-64) = 0.12.4-16.el6_10.3

Download

Type URL
Mirror mirror.centos.org
Binary Package spice-server-0.12.4-16.el6_10.3.x86_64.rpm
Source Package spice-server-0.12.4-16.el6_10.3.src.rpm

Install Howto

Install spice-server rpm package:

# yum install spice-server

Files

Path
/usr/lib64/libspice-server.so.1
/usr/lib64/libspice-server.so.1.8.0
/usr/share/doc/spice-server-0.12.4/COPYING
/usr/share/doc/spice-server-0.12.4/README

Changelog

2019-01-24 - Christophe Fergeau <cfergeau@redhat.com> - 0.12.4-16.3
- Fix off-by-one error during guest-to-host memory address conversion
Resolves: CVE-2019-3813
2018-10-15 - Christophe Fergeau <cfergeau@redhat.com> - 0.12.4-16.2
- Prevent potential buffer/integer overflows with invalid MonitorsConfig messages
sent from an authenticated client
Resolves: CVE-2017-7506
2018-08-10 - Frediano Ziglio <fziglio@redhat.com> - 0.12.4-16.1
- Fix flexible array buffer overflow
Resolves: rhbz#1596008
2016-12-09 - Frediano Ziglio <fziglio@redhat.com> - 0.12.4-16
- Fix buffer overflow in main_channel_alloc_msg_rcv_buf when reading large
messages.
Resolves: CVE-2016-9577
- Fix remote DoS via crafted message.
Resolves: CVE-2016-9578
2016-09-06 - Victor Toso <victortoso@redhat.com> - 0.12.4-15
- Avoid spice assertion when changing sized stream
Resolves: rhbz#1274575
- Make red_client_{ref,unref} thread safe to avoid crash
Resolves: rhbz#1361946
2016-04-26 - Christophe Fergeau <cfergeau@redhat.com> - 0.12.4-14
- Fix heap-based memory corruption within smartcard handling
Resolves: CVE-2016-0749
- Fix host memory access from guest with invalid primary surface parameters
Resolves: CVE-2016-2150
2016-01-22 - Christophe Fergeau <cfergeau@redhat.com> 0.12.4-13
- Fix " qemu-kvm: spicevmc.c:324: spicevmc_red_channel_alloc_msg_rcv_buf:
Assertion `!state->recv_from_client_buf' failed." assertion during migration
Resolves: rhbz#1264113
2015-09-23 - Frediano Ziglio <fziglio@redhat.com> 0.12.4-12.3
- CVE-2015-5260 CVE-2015-5261 fixed various security flaws
Resolves: rhbz#1262770
2015-09-23 - Frediano Ziglio <fziglio@redhat.com> 0.12.4-12.2
- Validate surface_id
Resolves: rhbz#1262770
2015-07-21 - Christophe Fergeau <cfergeau@redhat.com> 0.12.4-12.1
- Avoid race conditions reading monitor configs from guest. This race could
trigger memory corruption host-side
Resolves: rhbz#1239124

See Also

Package Description
spice-server-devel-0.12.4-16.el6_10.1.x86_64.rpm Header files, libraries and development documentation for spice-server
spice-server-devel-0.12.4-16.el6_10.2.x86_64.rpm Header files, libraries and development documentation for spice-server
spice-server-devel-0.12.4-16.el6_10.3.x86_64.rpm Header files, libraries and development documentation for spice-server
spice-vdagent-0.14.0-13.el6_10.1.x86_64.rpm Agent for Spice guests
sssd-1.13.3-60.el6_10.2.x86_64.rpm System Security Services Daemon
sssd-ad-1.13.3-60.el6_10.2.x86_64.rpm The AD back end of the SSSD
sssd-client-1.13.3-60.el6_10.2.i686.rpm SSSD Client libraries for NSS and PAM
sssd-client-1.13.3-60.el6_10.2.x86_64.rpm SSSD Client libraries for NSS and PAM
sssd-common-1.13.3-60.el6_10.2.x86_64.rpm Common files for the SSSD
sssd-common-pac-1.13.3-60.el6_10.2.x86_64.rpm Common files needed for supporting PAC processing
sssd-dbus-1.13.3-60.el6_10.2.x86_64.rpm The D-Bus responder of the SSSD
sssd-ipa-1.13.3-60.el6_10.2.x86_64.rpm The IPA back end of the SSSD
sssd-krb5-1.13.3-60.el6_10.2.x86_64.rpm The Kerberos authentication back end for the SSSD
sssd-krb5-common-1.13.3-60.el6_10.2.x86_64.rpm SSSD helpers needed for Kerberos and GSSAPI authentication
sssd-ldap-1.13.3-60.el6_10.2.x86_64.rpm The LDAP back end of the SSSD
Advertisement
Advertisement